dsmemberutil(1)

NAME
dsmemberutil - various operations for the membership APIs, including state dump, check memberships, UUIDs, etc.

SYNOPSIS
dsmemberutil [-v] [-h] command [options]

DESCRIPTION
dsmemberutil is a program that implements the membership API calls in a command line utility.

FLAGS
A list of flags and their descriptions:

-h  Lists the options for calling dsmemberutil

-v  Causes dsmemberutil to operate in verbose mode.

COMMANDS
The action of each command is described below:

getuuid -ugUGsS value
    Takes any of the options and returns the associated UUID.

getid -UGsSX value
    Takes any of the options and returns the associated UID or GID depending on option provided.

getsid -ugUGX value
    Takes any of the options and returns the associated SID.

checkmembership -uUxs param -gGXS param
    Returns if a user or group with the associated option is a member of the group.

flushcache
    Flushes the current membership cache.

Legacy commands such as dumpstate and statistics are gone. See odutil(1) for show cache and statistics operations.

A list of options available. In some cases -xX and -sS can be used synonymously due to nature of the value.

-u uid
    Using user with UID

-U name
    Using user with name

-s sid
    Using user with SID

-x uuid
    Using user with UUID

-g gid
    Using group with GID

-G name
    Using group with name

-S sid
    Using group with SID

-X uuid
    Using group with UUID

EXAMPLES

Get a user's uuid:
        % dsmemberutil getuuid -u 501
        EEA4F2F6-B268-49E7-9C6F-E3C4A37DA4FD

Get a group's uuid
        % dsmemberutil getuuid -g 0
        ABCDEFAB-CDEF-ABCD-EFAB-CDEF00000000

Get a user's or group's id from a uuid
        % dsmemberutil getid -X ABCDEFAB-CDEF-ABCD-EFAB-CDEF0000000C
        gid: 12

Check a user's membership in a group (using UID and GID)
        % dsmemberutil checkmembership -u 501 -g 0
        user is not a member of the group

Check a user's membership in a group (using names)
        % dsmemberutil checkmembership -U root -G wheel
        user is a member of the group

SEE ALSO
odutil(1), dseditgroup(1), dscacheutil(1)